package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

public class OrganCloudStudyStudentDataQueryInfo extends QueryInfo {

    private String date;

    private String organIds;

    @ApiModelProperty("目标学员总数")
    private String targetNum;

    @ApiModelProperty("学员总数")
    private String totalStudentNum;

    @ApiModelProperty("付费会员数")
    private String vipStudentNum;

    @ApiModelProperty("试用会员数")
    private String eVipStudentNum;

    @ApiModelProperty("新增会员数")
    private String newMemberStudentNum;

    @ApiModelProperty("付费会员占比")
    private String vipStudentDuty;

    @ApiModelProperty("云教练试用人数")
    private String cloudStudyUseStudentNum;

    @ApiModelProperty("云教练使用人数占比")
    private String cloudStudyUseStudentDuty;

    @ApiModelProperty("活跃人数")
    private String cloudStudyLivelyStudentNum;

    @ApiModelProperty("活跃人数占比")
    private String cloudStudyLivelyStudentDuty;

    @ApiModelProperty("云教练新增人数")
    private String newCloudStudyStudentNum;

    @ApiModelProperty("新用户人数")
    private String newStudentNum;

    @ApiModelProperty("新用户人数占比")
    private String newStudentDuty;

    public String getTargetNum() {
        return targetNum;
    }

    public void setTargetNum(String targetNum) {
        this.targetNum = targetNum;
    }

    public String getNewStudentNum() {
        return newStudentNum;
    }

    public void setNewStudentNum(String newStudentNum) {
        this.newStudentNum = newStudentNum;
    }

    public String getNewStudentDuty() {
        return newStudentDuty;
    }

    public void setNewStudentDuty(String newStudentDuty) {
        this.newStudentDuty = newStudentDuty;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public String getOrganIds() {
        return organIds;
    }

    public void setOrganIds(String organIds) {
        this.organIds = organIds;
    }

    public String getTotalStudentNum() {
        return totalStudentNum;
    }

    public void setTotalStudentNum(String totalStudentNum) {
        this.totalStudentNum = totalStudentNum;
    }

    public String getVipStudentNum() {
        return vipStudentNum;
    }

    public void setVipStudentNum(String vipStudentNum) {
        this.vipStudentNum = vipStudentNum;
    }

    public String geteVipStudentNum() {
        return eVipStudentNum;
    }

    public void seteVipStudentNum(String eVipStudentNum) {
        this.eVipStudentNum = eVipStudentNum;
    }

    public String getNewMemberStudentNum() {
        return newMemberStudentNum;
    }

    public void setNewMemberStudentNum(String newMemberStudentNum) {
        this.newMemberStudentNum = newMemberStudentNum;
    }

    public String getVipStudentDuty() {
        return vipStudentDuty;
    }

    public void setVipStudentDuty(String vipStudentDuty) {
        this.vipStudentDuty = vipStudentDuty;
    }

    public String getCloudStudyUseStudentNum() {
        return cloudStudyUseStudentNum;
    }

    public void setCloudStudyUseStudentNum(String cloudStudyUseStudentNum) {
        this.cloudStudyUseStudentNum = cloudStudyUseStudentNum;
    }

    public String getCloudStudyUseStudentDuty() {
        return cloudStudyUseStudentDuty;
    }

    public void setCloudStudyUseStudentDuty(String cloudStudyUseStudentDuty) {
        this.cloudStudyUseStudentDuty = cloudStudyUseStudentDuty;
    }

    public String getCloudStudyLivelyStudentNum() {
        return cloudStudyLivelyStudentNum;
    }

    public void setCloudStudyLivelyStudentNum(String cloudStudyLivelyStudentNum) {
        this.cloudStudyLivelyStudentNum = cloudStudyLivelyStudentNum;
    }

    public String getCloudStudyLivelyStudentDuty() {
        return cloudStudyLivelyStudentDuty;
    }

    public void setCloudStudyLivelyStudentDuty(String cloudStudyLivelyStudentDuty) {
        this.cloudStudyLivelyStudentDuty = cloudStudyLivelyStudentDuty;
    }

    public String getNewCloudStudyStudentNum() {
        return newCloudStudyStudentNum;
    }

    public void setNewCloudStudyStudentNum(String newCloudStudyStudentNum) {
        this.newCloudStudyStudentNum = newCloudStudyStudentNum;
    }
}
